Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 15422

Description

Hi,

I have a postgres table of lines (see attachment).

In QGIS 1.7 I can split them perfectly.

In QGIS 1.8 I can do it too, but when I save changes I noticed that QGIS 1.8 uses the same primary keys in all splitted features (so

Postgres complains that it violates Primary Key rule).

I noticed that my table has primary key as last column, while other tables with it at first position do the work.

Related issues:

Related to QGIS Application - Bug report # 5758: Primary key issue when using... Closed 2012-06-07

Related to QGIS Application - Bug report # 7550: Split feature on spatialite ... Closed 2013-04-08

Associated revisions

Revision cb1e7d3f - 2012-07-18 07:08 PM - Jürgen Fischer

fix #6060

History

#1 - 2012-07-18 10:09 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"cb1e7d3f6b0864d1b448b52e7ccb49faaad20f63".

#2 - 2013-07-09 02:29 PM - Jürgen Fischer

Jürgen Fischer wrote:

Fixed in changeset commit:"cb1e7d3f6b0864d1b448b52e7ccb49faaad20f63".

Better fix in commit:2a002c558e9
